Name:           twitchbrowser
Version:        0.5
Release:        %mkrel 1

Summary:       Browse through Twitch.tv Streams
License:       GPLv2
Group:         Video 
URL:           http://screenfreeze.net/
Source:        http://gtk-apps.org/%{name}-%{version}.tar.xz
BuildRequires:	desktop-file-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch
Requires: python >= 2.7
Requires: pygtk2.0
Requires: python-livestreamer



%description
This Desktop Application lets you browse through Twitch.tv Streams and open them in 
your Video Player (VLC, MPlayer, MPV, ...). No need for a CPU heavy Flash Plugin.

This Project uses "Livestreamer" to start the streams, more information on their 
website http://livestreamer.tanuki.se/


%prep
%setup -q 


%build
#none

%install
rm -rf $RPM_BUILD_ROOT

#launcher
mkdir -p %{buildroot}%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/bash
cd %_datadir/%{name}
./twitchbrowser.py
EOF
chmod +x %{buildroot}%{_bindir}/%{name}


#data
#needs 777 to write to config file
install -dm 777 $RPM_BUILD_ROOT/%_datadir/%{name}
install -m 777 config.conf $RPM_BUILD_ROOT/%_datadir/%{name}
install -dm 777 $RPM_BUILD_ROOT/%_datadir/%{name}/logos 
install -m 777 logos/* $RPM_BUILD_ROOT/%_datadir/%{name}/logos 
install -dm 777 $RPM_BUILD_ROOT/%_datadir/%{name}/tmp
install -m 777 tmp/* $RPM_BUILD_ROOT/%_datadir/%{name}/tmp
cp -af {*.glade,*.py,*.png} $RPM_BUILD_ROOT/%_datadir/%{name}

#icon
install -dm 755 $RPM_BUILD_ROOT/%_datadir/pixmaps/
install -m 644 *.png $RPM_BUILD_ROOT/%_datadir/pixmaps/%{name}.png
convert -resize 48 $RPM_BUILD_ROOT/%_datadir/pixmaps/%{name}.png \
$RPM_BUILD_ROOT/%_datadir/pixmaps/%{name}.png

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=TwitchBrowser
Comment=Browse through Twitch.tv Streams
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;Video;X-MandrivaLinux-Multimedia-Video;
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc README.md LICENSE TODO
%_bindir/%{name}
%_datadir/%{name}
%_datadir/pixmaps/%{name}.png
%_datadir/applications/%{name}.desktop


%changelog
* Thu Feb 13 2014 Ken <lxgator at gmail.com> 0.5-pclos2014
- Create pkg
